Bug 71307 - Improper RAID0 power down sequence
Improper RAID0 power down sequence
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-12 05:44 EDT by Fred New
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-08-12 05:44:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
The power down sequence seems to turn off my hard disks before it has completed 
everything else.

Version-Release number of selected component (if applicable):
kernel-2.4.18-7.93 (i586)

How reproducible:
Always (Always during shutdown.  I haven't tried re-installing my system.)

Steps to Reproduce:
1. Installed Limbo2 with a multi-disk, RAID0 root file system (hda5 & hdb3).
2. shutdown -h now
	

Actual Results:  Messages appearing at the end of the power down sequence 
(entered here by hand):

Halting system...
md: stopping all md devices.
md: marking sb clean...
md: updating md0 RAID superblock on device
md: hda5 [events: 0000001e]<6>(write) hda5's sb offset: 6217024
md: hdb3 [events: 0000001e]<6>(write) hdb3's sb offset: 239488
md: md0 switched to read-only mode.
flushing ide devices: hda hdb hdb: lost interrupt
hdc
Power down.

The line beginning "flushing ide devices" is actually two messages.  I can hear 
the hard disks turn off after the first "hdb".  The "hdb: lost interrupt" 
message appears after a little wait.

Expected Results:  I don't expect the "hdb: lost interrupt" message to appear.

Additional info:

In case this is hardware related, this machine is a Pentium 75 with a manual 
on/off switch.

This power-down activity doesn't seem to be corrupting my file system, so I 
don't know how important it is to fix this bug.
Comment 1 Bugzilla owner 2004-09-30 11:39:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.